• Русский
  • Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject
    statusobject

    .spec

    Type
    object
    PropertyTypeDescription
    intervalstring
    jobLabelstring

    INSERT ADDITIONAL SPEC FIELDS - desired state of cluster Important: Run "make" to regenerate code after modifying this file

    monitorResultsobject

    SampleLimit defines per-scrape limit on number of scraped samples that will be accepted.

    namespaceSelectorobject

    NamespaceSelector to select which namespaces the Endpoints objects are discovered from.

    pingurlsarray

    A list of urls allowed as part of this ServiceMonitor.

    selectorobject

    Selector transfers labels on the Kubernetes Pod onto the target.

    crdsarray

    A list of crds allowed as part of this CaseMonitor.

    .spec.monitorResults

    Description
    SampleLimit defines per-scrape limit on number of scraped samples that will be accepted.
    Type
    object
    PropertyTypeDescription
    latestUpdatedstring
    targetsarray

    .spec.monitorResults.targets

    Type
    array

    .spec.monitorResults.targets[]

    Type
    object
    PropertyTypeDescription
    lastErrorsarray
    namestring
    runningstring
    targetTypestring

    .spec.monitorResults.targets[].lastErrors

    Type
    array

    .spec.monitorResults.targets[].lastErrors[]

    Type
    string

    .spec.namespaceSelector

    Description
    NamespaceSelector to select which namespaces the Endpoints objects are discovered from.
    Type
    object
    PropertyTypeDescription
    matchNamesarray

    List of namespace names.

    .spec.namespaceSelector.matchNames

    Description
    List of namespace names.
    Type
    array

    .spec.namespaceSelector.matchNames[]

    Type
    string

    .spec.pingurls

    Description
    A list of urls allowed as part of this ServiceMonitor.
    Type
    array

    .spec.pingurls[]

    Type
    object
    PropertyTypeDescription
    hoststring

    HTTP path to scrape for metrics.

    intervalstring

    Interval at which metrics should be scraped

    namestring

    HTTP path to scrape for metrics.

    paramsobject

    Optional HTTP URL parameters

    pathstring

    HTTP path to scrape for metrics.

    portstring

    Name of the service port this url refers to. Mutually exclusive with targetPort.

    schemestring

    HTTP scheme to use for scraping.

    scrapeTimeoutstring

    Timeout after which the scrape is ended

    tlsConfigobject

    TLS configuration to use when scraping the url

    urlstring

    url for whole url

    customErrorsarray

    List of custom errors.

    .spec.pingurls[].params

    Description
    Optional HTTP URL parameters
    Type
    object

    .spec.pingurls[].tlsConfig

    Description
    TLS configuration to use when scraping the url
    Type
    object
    PropertyTypeDescription
    insecureSkipVerifyboolean

    Disable target certificate validation.

    .spec.pingurls[].customErrors

    Description
    List of custom errors.
    Type
    array

    .spec.pingurls[].customErrors[]

    Type
    string

    .spec.selector

    Description
    Selector transfers labels on the Kubernetes Pod onto the target.
    Type
    object
    PropertyTypeDescription
    matchExpressionsarray

    matchExpressions is a list of label selector requirements. The requirements are ANDed.

    matchLabelsobject

    matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.

    .spec.selector.matchExpressions

    Description
    matchExpressions is a list of label selector requirements. The requirements are ANDed.
    Type
    array

    .spec.selector.matchExpressions[]

    Description
    A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
    Type
    object
    Required
    keyoperator
    PropertyTypeDescription
    keystring

    key is the label key that the selector applies to.

    operatorstring

    operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.

    valuesarray

    values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.

    .spec.selector.matchExpressions[].values

    Description
    values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
    Type
    array

    .spec.selector.matchExpressions[].values[]

    Type
    string

    .spec.selector.matchLabels

    Description
    matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
    Type
    object

    .spec.crds

    Description
    A list of crds allowed as part of this CaseMonitor.
    Type
    array

    .spec.crds[]

    Type
    object
    Required
    namegroupkindversionoperator
    PropertyTypeDescription
    namestring

    name of job.

    groupstring

    group for apigroups GroupVersionKind.

    kindstring

    kind for GroupVersionKind.

    versionstring

    version for GroupVersionKind.

    crdnamestring

    name of crd.

    namespacestring

    namespace of crd.

    operatorstring

    operator of the crd, like Exists, HttpPing.

    basicAuthobject

    BasicAuth allow an http to authenticate over basic authentication

    urlstring

    property name of url

    customErrorsarray

    List of custom errors.

    .spec.crds[].basicAuth

    Description
    BasicAuth allow an http to authenticate over basic authentication
    Type
    object
    PropertyTypeDescription
    passwordstring

    property name of password.

    usernamestring

    property name of username.

    .spec.crds[].customErrors

    Description
    List of custom errors.
    Type
    array

    .spec.crds[].customErrors[]

    Type
    string

    .status

    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/asm.alauda.io/v1beta2/namespaces/{namespace}/casemonitors
      • DELETE: delete collection of CaseMonitor
      • GET: list objects of kind CaseMonitor
      • POST: create a new CaseMonitor
    • /apis/asm.alauda.io/v1beta2/namespaces/{namespace}/casemonitors/{name}
      • DELETE: delete the specified CaseMonitor
      • GET: read the specified CaseMonitor
      • PATCH: partially update the specified CaseMonitor
      • PUT: replace the specified CaseMonitor
    • /apis/asm.alauda.io/v1beta2/namespaces/{namespace}/casemonitors/{name}/status
      • GET: read status of the specified CaseMonitor
      • PATCH: partially update status of the specified CaseMonitor
      • PUT: replace status of the specified CaseMonitor

    /apis/asm.alauda.io/v1beta2/namespaces/{namespace}/casemonitors

    HTTP method
    DELETE
    Description
    delete collection of CaseMonitor
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind CaseMonitor
    HTTP responses
    HTTP codeResponse body
    200 - OKCaseMonitorList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new CaseMonitor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyCaseMonitor schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKCaseMonitor schema
    201 - CreatedCaseMonitor schema
    202 - AcceptedCaseMonitor schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1beta2/namespaces/{namespace}/casemonitors/{name}

    HTTP method
    DELETE
    Description
    delete the specified CaseMonitor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified CaseMonitor
    HTTP responses
    HTTP codeResponse body
    200 - OKCaseMonitor schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified CaseMonitor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKCaseMonitor schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified CaseMonitor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyCaseMonitor schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKCaseMonitor schema
    201 - CreatedCaseMonitor schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1beta2/namespaces/{namespace}/casemonitors/{name}/status

    HTTP method
    GET
    Description
    read status of the specified CaseMonitor
    HTTP responses
    HTTP codeResponse body
    200 - OKCaseMonitor schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified CaseMonitor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKCaseMonitor schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified CaseMonitor
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyCaseMonitor schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKCaseMonitor schema
    201 - CreatedCaseMonitor schema
    401 - UnauthorizedEmpty